List of all members
clan::DomException Class Reference
clanCore XML

DOM Exception class. More...

`#include <dom_exception.h>`

Inheritance diagram for clan::DomException:

## Public Member Functions
Construction
| DomException (unsigned short code)
| Constructs a DomException. More...
| DomException (const std::string &message, unsigned short code)
Public Member Functions inherited from clan::Exception
| Exception (const std::string &message)
| Constructs an exception object. More...
virtual | ~Exception () throw ()
| Destructs an exception object. More...
std::vector< std::string > | get_stack_trace () const
| Returns the call stack present when the exception object was created. More...
std::string | get_message_and_stack_trace () const
| Returns the message and call stack present when the exception object was created, formatted using newlines. More...
virtual const char * | what () const override throw ()
| Returns description of exception. More...

## Attributes
enum | ExceptionCodes { INDEX_SIZE_ERR = 1, DOMSTRING_SIZE_ERR = 2, HIERARCHY_REQUEST_ERR = 3, WRONG_DOCUMENT_ERR = 4, INVALID_CHARACTER_ERR = 5, NO_DATA_ALLOWED_ERR = 6, NO_MODIFICATION_ALLOWED_ERR = 7, NOT_FOUND_ERR = 8, NOT_SUPPORTED_ERR = 9, INUSE_ATTRIBUTE_ERR = 10, INVALID_STATE_ERR = 11, SYNTAX_ERR = 12, INVALID_MODIFICATION_ERR = 13, NAMESPACE_ERR = 14, INVALID_ACCESS_ERR = 15 }
unsigned short | code

## Additional Inherited Members
Public Attributes inherited from clan::Exception
std::string | message
| Description of exception. More...

## Detailed Description

DOM Exception class.

The documentation for this class was generated from the following file:

- dom_exception.h